Bug 1846420 - Re-vendor dependencies for manifest and code generation with go modules
Summary: Re-vendor dependencies for manifest and code generation with go modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Kiran Thyagaraja
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-11 14:42 UTC by Kiran Thyagaraja
Modified: 2020-10-27 16:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:06:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-baremetal pull 72 0 None closed Bug 1846420: Re-vendor dependencies for manifest and code generation with go modules 2020-10-07 15:01:41 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:07:22 UTC

Description Kiran Thyagaraja 2020-06-11 14:42:31 UTC
After Cluster-api-provider-baremetal moved to go-modules with BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1828003, some features such as CRD and deep-copy generation was omitted.

This ticket tracks the PR to address this oversight.
https://github.com/openshift/cluster-api-provider-baremetal/pull/72

Comment 3 Raviv Bar-Tal 2020-08-25 13:58:29 UTC
Hey, Kiran,
Please advice on the verifiaction steps
Is there a test QE can do downstream for this change?
If not, is the change working for you? if this is the case I will verify this Bz with other_qa tag

Thanks in advance 
Raviv

Comment 4 Kiran Thyagaraja 2020-08-25 14:38:31 UTC
Hi Raviv,
This PR fixed couple things in the repo. Both of them are Makefile targets that worked before we moved to go modules.

Basically this functionality already existed before we moved to go modules. This PR fixed the:

make generate
make manifests

targets that used to work before we converted the project to go modules.

Thanks.
Kiran

Comment 6 errata-xmlrpc 2020-10-27 16:06:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.